interface SendMessageImmediatelyResponse {
    dispatch_id: string;
}
interface ScheduleMessageResponse {
    dispatch_id: string;
    schedule_id: string;
    message: string;
}
export declare class BrazeClient {
    private readonly client;
    constructor({ apiKey, baseUrl }: {
        apiKey: string;
        baseUrl: string;
    });
    sendMessageImmediately(data: Record<string, any>): Promise<SendMessageImmediatelyResponse>;
    scheduleMessage(data: Record<string, any>): Promise<ScheduleMessageResponse>;
    sendCampaign(data: Record<string, any>): Promise<SendMessageImmediatelyResponse>;
}
export {};
